#
# spec file for package python-halite
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-halite
Version:        0.1.17
Release:        1.1
Summary:        Halite the salt Web UI
License:        Apache-2.0
Group:          System/Monitoring
Url:            http://saltstack.org/
Source0:        http://pypi.python.org/packages/source/h/halite/halite-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

BuildRequires:  fdupes
BuildRequires:  python
BuildRequires:  python-Paste
BuildRequires:  python-setuptools
BuildRequires:  salt
BuildRequires:  salt-master
Requires:       python-Paste
Requires:       salt
Requires:       salt-master

%description
Halite is the salt web ui, from which you can run salt jobs/events and track progress

%prep
%setup -q -n halite-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}%{_prefix}

%files
%defattr(-,root,root)
%doc README.rst LICENSE
%attr(755,root,root)%{python_sitelib}/halite/bottle.py
%attr(755,root,root)%{python_sitelib}/halite/server_bottle.py
%attr(755,root,root)%{python_sitelib}/halite/genindex.py
%{python_sitelib}/*

%changelog
* Wed May 14 2014 aboe76@gmail.com
- Updated to 0.1.17
- New Features:
  - Add event source kill switch
  - Improve command error handling
  - Add salt service
- Bug Fixes:
  - Fix bug with command panel
  - Tweak fetchGrains logic so that job completion (prior to HTTP returns) are handled
  - Make sure text files don't have exec bit set
  - Update spec (thanks to Erik Johnson)
* Mon Apr  7 2014 aboe76@gmail.com
- Updated to 0.1.16
- new features:
  - Add highstate consistency check. (As a result of a brainstorming session with  Dan Garthwaite at Salt Conf - 2014)
  - New service to handle alerts
  - Add job service
  - Documentation changes
  - Change e2e framework to Protractor
- Bug Fixes:
  - Refactor events to own service
  - Refactor Job handling to be in it's own service
  - Refactor Minion, Command, Event and Job storage so that App Data is the single source of information for them
  - Move preload cache to base scope
  - Move methods to base scope so that they are available to all views
  - Add tests
  - rpmlint quickfix see https://github.com/saltstack/lattice/issues/15
* Thu Jan  2 2014 aboe76@gmail.com
- Added license to %%doc
* Tue Dec 31 2013 aboe76@gmail.com
- Changes license according upstream
  Apache-2.0
* Wed Dec 25 2013 aboe76@gmail.com
- Updated to halite 0.1.15
- performance improvements
- bugfix: login errors using api fixed
- bugfix: fixed installer
- feauture: show labels/default placeholders for parameters
- bugfix: fixed argspec parsing input
- bugfix: fixed master opts up to Salt API initialization
* Thu Dec 19 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Fri Nov 29 2013 aboe76@gmail.com
- Updated to halite 0.1.08
- Feature support for aggregate progress bars
- Feature Hide progress elements
- Fixed wheel to work with new returners
- Fixed fetch docs check box not activating
* Tue Nov 19 2013 aboe76@gmail.com
- Updated to halite 0.1.07
- twitter bootstrap updated to v3.02
- upgrade AngularJS 1.2.0
- show Progress Events in job view
* Mon Nov  4 2013 aboe76@gmail.com
- Updated to halite 0.1.04
- Removed unnecesary functions and variables
- New feature: Command form now has search docs feature, where it displays
  the Salt docs associated with a search string
* Tue Oct 15 2013 aboe76@gmail.com
- Updated to halite 0.1.02
- fixed fetchGrains to only attempt to fetch grains from minions that have active status
- allow empty target and then handle empty returns in prepartion for supporting
  other target types besides glob
- Changed default pagination to 20
* Mon Sep 30 2013 cfarrell@suse.com
- license update: MIT
  Most of the source code files are MIT licensed. No indication of an
  Apache-2.0 license
* Thu Sep 26 2013 aboe76@gmail.com
- Updated to halite 0.1.01
  - pagination added to monitors
* Tue Sep 24 2013 aboe76@gmail.com
- updated to halite 0.1.0
  - Upgraded to Twitter Bootstrap v 3.0
  - Documentation updates
* Mon Sep 23 2013 aboe76@gmail.com
- Updated requirements to defaults no recommends
  - python-paste
  - python-pyopenssl
* Thu Sep 19 2013 aboe76@gmail.com
- updated to halite 0.0.9
  - new style layout
* Wed Sep 18 2013 aboe76@gmail.com
- Initial build halite 0.0.8
